<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Support\Facades\Auth;

class StoreMenuRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return Auth::check();
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'title'     =>  'required|unique:menus,title',
            'toko_id'   =>  'required|exists:tokos,id',
            'amount'    =>  'numeric',
            'price'     =>  'numeric',
            'description'=> 'image|max:4096'
        ];
    }
}
